article {
    margin: 50px auto;
    padding: 50px;
    max-width: 1000px;
    background-color: #f5f5f5;
    box-shadow: 0 30px 50px #dbdbdb;
    border-radius: 20px;
}
  
article  h2 {
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 20px;
    text-align: center;
}

article  p {
    font-size: 16px;
    line-height: 1.5;
    text-align: justify;
}

article ul {
    list-style: none;
    padding: 0;
    margin: 20px 0;
}

article ul li {
    display: inline-block;
    margin: 10px;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    color: white;
}
body.dark-mode article ul li {
    display: inline-block;
    margin: 10px;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
}

body.dark-mode article{
    background-color: #2e2e2e;
    box-shadow: 0 30px 50px #444444;
}

/* Styles pour les écrans très petits (mobile) */
@media (max-width: 760px) {
    article {
        padding: 10px;
        border-radius: 5px;
    }

    article h2 {
        font-size: 20px;
        margin-bottom: 10px;
    }

    article p {
        font-size: 12px;
    }

    article ul li {
        margin: 3px;
        padding: 3px;
        font-size: 12px;
    }
}

/* Styles pour l'icône fixe en bas à droite de l'écran */
main a img {
    width: 5%;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 9999;
    opacity: 0.5;
    transition: 0.5s;
}

main a img:hover {
    opacity: 1;
}
body.dark-mode main a img {
    filter: brightness(0) invert(1);
}

